Bug 179053 - CVE-2006-0301 PDF splash handling heap overflow
CVE-2006-0301 PDF splash handling heap overflow
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gpdf (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-01-26 16:11 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-03 13:26:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-01-26 16:11:45 EST
PDF splash handling heap overflow

Dirk Mueller told vendor-sec about a buffer overflow issue in the xpdf
codebase when handling splash images.

The proposed patch is attachment 123745 [details]
Comment 9 Ray Strode [halfline] 2006-02-03 13:12:42 EST
I'm starting to think we don't use splash anywhere in the code.

We definitely build a static convenience library, but we don't appear to link it
to any binary.

Furthermore, running nm on the binaries shows no symbols with the name "Splash"
in them.

gpdf must use its own rendering code.

Note You need to log in before you can comment on or make changes to this bug.